
load colormapcool.mat;
smap = size(map);
temp = zeros(smap);
for j=1:smap(1), 
    temp(j,:) = map(smap(1)-j+1,:);
end
map = temp; clear temp 
map3b = zeros([smap(1)*5,smap(2)]); 
map3b(:,1) = interp1(map(:,1),linspace(1,smap(1),5*smap(1))); 
map3b(:,2) = interp1(map(:,2),linspace(1,smap(1),5*smap(1))); 
map3b(:,3) = interp1(map(:,3),linspace(1,smap(1),5*smap(1))); 
colormap(map3b); hold on 

brown = [0.79 0.47 0.0756]; 
darkbrown = [0.3686  0.2627  0.0706];
darkbrown2 = [0.3686  0.2627  0.0706]*0.7;
lighttan  = [0.8078  0.6627  0.2314]; 
brick = [0.8078    0.0235    0.0235]; 
brick2 = [0.8078    0.0235    0.0235]*0.8; 
   
Nfock = 20;       % **** these can CHANGE ****
xgrid = 128;      % **** these can CHANGE ****
rho_size = xgrid; % **** these can CHANGE ****

% load thermal (comparison) state 
rho_therm = zeros(Nfock); 
load rhor_therm.dat  
for m=1:Nfock, 
    rho_therm(m,:) = rhor_therm((1:Nfock)+(m-1)*Nfock);  
end

% load H.O. thermal state 
rho_therm_ho = zeros(Nfock); 
load rhor_therm_ho.dat  
for m=1:Nfock, 
    rho_therm_ho(m,:) = rhor_therm_ho((1:Nfock)+(m-1)*Nfock);  
end

% load the snapshots to plot, one by one 
show_snaps = [1 13 21];  

fidr_in = fopen('rhor_2.dat','r'); 
fidi_in = fopen('rhoi_2.dat','r'); 

rho = zeros(rho_size,rho_size); 

% skip over initial snaps 
n = 1;
for nskip=1:(show_snaps(1)-1), 
    crhor = textscan(fgetl(fidr_in),'%n',rho_size^2); 
    crhoi = textscan(fgetl(fidi_in),'%n',rho_size^2);
    n = n + 1;
end

figcount = 0;

while (~feof(fidr_in) && (figcount<length(show_snaps))), 

    n 
    
    crhor = textscan(fgetl(fidr_in),'%n',rho_size^2); 
    crhoi = textscan(fgetl(fidi_in),'%n',rho_size^2);
             
    rhor =  crhor{1}; 
    rhoi =  crhoi{1}; 

    for m=1:rho_size, 
        rho(m,:) = rhor((1:rho_size)+(m-1)*rho_size) + i*rhoi((1:rho_size)+(m-1)*rho_size);  
    end
    
    figcount = figcount + 1;
        
    figure(1); 
        if (figcount==1), clf; end 
        subplot(1,3,figcount); 
        fock_plot = 5; 
        
        bhan = bar(0:fock_plot-1,real(diag(rho(1:fock_plot,1:fock_plot)))); hold on  
        load brownmap; colormap(cmap);
        plot(0:fock_plot-1,diag(rho_therm_ho(1:fock_plot,1:fock_plot)),'--','color',brick,'linewidth',[1.5]); hold on 
        plot(0:fock_plot-1,diag(rho_therm_ho(1:fock_plot,1:fock_plot)),'o','color',brick2,'linewidth',[1]); hold on 
        plot(0:fock_plot-1,diag(rho_therm(1:fock_plot,1:fock_plot)),'-','color',darkbrown,'linewidth',[1.5]); hold on 
        plot(0:fock_plot-1,diag(rho_therm(1:fock_plot,1:fock_plot)),'o','color',darkbrown2,'linewidth',[1]); hold on 

        axis([ -0.7 fock_plot-0.3 0 0.9]); 
        pos = get(gca,'position'); 
        set(gca,'position',[pos(1) pos(2) pos(3)*1.1 pos(4)*1.0]); 
        set(gca,'fontsize',[16]);
        set(gca,'ytick',[]); 
        xlabel('{\it n} \gamma','fontsize',[16])
        if (figcount==1), ylabel('Phonon Number Distribution','fontsize',[16]); end 

    n = n + 1;
    
    pause 
    
    % skip over "skip_num" snaps 
    if (figcount<length(show_snaps)), 
        for nskip=1:(show_snaps(figcount+1) - show_snaps(figcount) - 1), 
            crhor = textscan(fgetl(fidr_in),'%n',rho_size^2); 
            crhoi = textscan(fgetl(fidi_in),'%n',rho_size^2);
            n = n + 1;
        end
    end

  
end
        
        