
load series.dat 

t_my = series(:,1); 
x_my = series(:,2); 
Vx_my = series(:,3); 
Vp_my = series(:,5); 
n_my = series(:,6); 

figure(1); 
    plot(t_my,n_my,'-'); hold on 

    
load ss_avs.dat 

gss = ss_avs(:,1); 
nss = ss_avs(:,2); 
nss_err = ss_avs(:,3); 
n_therm = ss_avs(:,4); 
n_bme = ss_avs(:,5); 

Ess = ss_avs(:,6); 
Ess_err = ss_avs(:,7); 
E_therm = ss_avs(:,8); 
E_bme = ss_avs(:,9); 

brown     = [0.79    0.47    0.0756]; 
darkbrown = [0.3686  0.2627  0.0706]; 
lighttan  = [0.8078  0.6627  0.2314]; 
brick     = [0.8078  0.0235  0.0235]; 
        
figure(2); 
    clf
    semilogx(4*gss,E_bme,'--','color',lighttan,'linewidth',[1.5]); hold on
    semilogx(4*gss,E_therm,'--','color',brick,'linewidth',[1.5]); hold on
    semilogx(4*gss,Ess,'-','color',brown,'linewidth',[1.5]); hold on  
    errorbarlog(4*gss,Ess,2*Ess_err,brown,1.5); 
    semilogx(4*gss,Ess,'o','color',darkbrown,'linewidth',[1.5]); hold on 
    axis([min(4*gss) max(4*gss) 0 3.1]); 
    pos = get(gca,'position'); 
    set(gca,'position',[pos(1) pos(2) pos(3)*.56 pos(4)*1.0]); 
    set(gca,'fontsize',[16]);
    set(gca,'xtick',[1 10 100]);
    set(gca,'xticklabel',[' 1 ';' 10';'100']);
    xlabel('\gamma','fontsize',[16])
    ylabel('Average Phonon Number','fontsize',[16])

    
darkbrown2 = [0.3686  0.2627  0.0706]*0.7; 
brick2 = [0.8078    0.0235    0.0235]*0.8; 
   
Nfock = 20;       % **** these can CHANGE ****
xgrid = 128;      % **** these can CHANGE ****
rho_size = xgrid; % **** these can CHANGE ****

% load thermal (comparison) state 
rho_therm = zeros(Nfock); 
load rhor_therm.dat  
for m=1:Nfock, 
    rho_therm(m,:) = rhor_therm((1:Nfock)+(m-1)*Nfock);  
end

% load H.O. thermal state 
rho_therm_ho = zeros(Nfock); 
load rhor_therm_ho.dat  
for m=1:Nfock, 
    rho_therm_ho(m,:) = rhor_therm_ho((1:Nfock)+(m-1)*Nfock);  
end

% load the snapshots to plot, one by one 
show_snaps = [1 4 9];  

fidr_in = fopen('rhor.dat','r'); 
fidi_in = fopen('rhoi.dat','r'); 

rho = zeros(rho_size,rho_size); 

% skip over initial snaps 
n = 1;
for nskip=1:(show_snaps(1)-1), 
    crhor = textscan(fgetl(fidr_in),'%n',rho_size^2); 
    crhoi = textscan(fgetl(fidi_in),'%n',rho_size^2);
    n = n + 1;
end

figcount = 0;

while (~feof(fidr_in) && (figcount<length(show_snaps))), 

    n 
    
    crhor = textscan(fgetl(fidr_in),'%n',rho_size^2); 
    crhoi = textscan(fgetl(fidi_in),'%n',rho_size^2);
             
    rhor =  crhor{1}; 
    rhoi =  crhoi{1}; 

    for m=1:rho_size, 
        rho(m,:) = rhor((1:rho_size)+(m-1)*rho_size) + i*rhoi((1:rho_size)+(m-1)*rho_size);  
    end
    
    figcount = figcount + 1;
        
    figure(3); 
        if (figcount==1), clf; end 
        subplot(1,3,figcount); 
        fock_plot = 5; 
        
        bhan = bar(0:fock_plot-1,real(diag(rho(1:fock_plot,1:fock_plot)))); hold on  
        load brownmap; colormap(cmap);
        plot(0:fock_plot-1,diag(rho_therm_ho(1:fock_plot,1:fock_plot)),'--','color',brick,'linewidth',[1.5]); hold on 
        plot(0:fock_plot-1,diag(rho_therm_ho(1:fock_plot,1:fock_plot)),'o','color',brick2,'linewidth',[1]); hold on 
        plot(0:fock_plot-1,diag(rho_therm(1:fock_plot,1:fock_plot)),'-','color',darkbrown,'linewidth',[1.5]); hold on 
        plot(0:fock_plot-1,diag(rho_therm(1:fock_plot,1:fock_plot)),'o','color',darkbrown2,'linewidth',[1]); hold on 

        axis([ -0.7 fock_plot-0.3 0 0.9]); 
        pos = get(gca,'position'); 
        set(gca,'position',[pos(1) pos(2) pos(3)*1.1 pos(4)*1.0]); 
        set(gca,'fontsize',[16]);
        set(gca,'ytick',[]); 
        xlabel('{\it n} \gamma','fontsize',[16])
        if (figcount==1), ylabel('Phonon Number Distribution','fontsize',[16]); end 

    n = n + 1;
    
    % skip over "skip_num" snaps 
    if (figcount<length(show_snaps)), 
        for nskip=1:(show_snaps(figcount+1) - show_snaps(figcount) - 1), 
            crhor = textscan(fgetl(fidr_in),'%n',rho_size^2); 
            crhoi = textscan(fgetl(fidi_in),'%n',rho_size^2);
            n = n + 1;
        end
    end

  
end

        